
$base   = (Get-Item $PSScriptRoot\..).FullName
$agent  = "$($base)\agent.exe"
$config = "$($base)\config\agent.config"
$name   = "OneDDI Agent"

Write-Output "Checking for configuration file..."

if ([IO.File]::Exists($config) -Eq $False) {
    Write-Output "Creating default configuration file..."

    cp "$($config).default" $config
}

Write-Output "Checking for existing service..."

$services = Get-Service -Name $name -ErrorAction "ignore"

if ($services.Length -Gt 0) {
    Write-Output "ERROR - Service $($name) already exists"
} else {
    Write-Output "Creating service..."

    $service = New-Service -Name $name -BinaryPathName "`"$($agent)`" `"$($config)`""

    if ($service) {
        Write-Output "Starting service..."

        Start-Service -Name $name
    } else {
        Write-Output "ERROR - Create service $($name) failed"
    }
}
